import { ElementRef, OnInit } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
import { FormatterParserService } from './formatter-parser.service';
import { IFormatterParserConfig } from './struct/formatter-parser-config';
import { InputContextService } from './input-context.service';
export declare class FormatterParserDirective implements ControlValueAccessor, OnInit {
    private _elementRef;
    private fps;
    private inputContext;
    formatterParser: IFormatterParserConfig;
    formControlName: string;
    protected formControl: FormControl;
    protected inputElement: HTMLInputElement;
    private formatterParserView;
    private formatterParserModel;
    private onTouch;
    private onModelChange;
    constructor(_elementRef: ElementRef, fps: FormatterParserService, inputContext: InputContextService);
    registerOnTouched(fn: any): void;
    registerOnChange(fn: any): void;
    ngOnInit(): void;
    onControlInput($event: KeyboardEvent): void;
    writeValue(rawValue: any): void;
    updateFormatterAndParser(): void;
    private getInputElementRef();
}
